// Mocks generated by Mockito 5.0.16 from annotations
// in advicer/test/infrastructure/repositories/advicer_repository_test.dart.
// Do not manually edit this file.

import 'dart:async' as _i4;

import 'package:advicer/domain/entities/advice_enitity.dart' as _i2;
import 'package:advicer/infrastructure/datasources/advicer_remote_datasource.dart'
    as _i3;
import 'package:mockito/mockito.dart' as _i1;

// ignore_for_file: avoid_redundant_argument_values
// ignore_for_file: avoid_setters_without_getters
// ignore_for_file: comment_references
// ignore_for_file: implementation_imports
// ignore_for_file: invalid_use_of_visible_for_testing_member
// ignore_for_file: prefer_const_constructors
// ignore_for_file: unnecessary_parenthesis
// ignore_for_file: camel_case_types

class _FakeAdviceEntity_0 extends _i1.Fake implements _i2.AdviceEntity {}

/// A class which mocks [AdvicerRemoteDatasource].
///
/// See the documentation for Mockito's code generation for more information.
class MockAdvicerRemoteDatasource extends _i1.Mock
    implements _i3.AdvicerRemoteDatasource {
  MockAdvicerRemoteDatasource() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i4.Future<_i2.AdviceEntity> getRandomAdviceFromApi() => (super.noSuchMethod(
          Invocation.method(#getRandomAdviceFromApi, []),
          returnValue: Future<_i2.AdviceEntity>.value(_FakeAdviceEntity_0()))
      as _i4.Future<_i2.AdviceEntity>);
  @override
  String toString() => super.toString();
}
